(module fix-me-now (fix-me-now)
(import scheme (chicken base) (chicken module) (chicken syntax))
(import-for-syntax matchable srfi-1)
(import
 (only sxml-transforms pre-post-order* pre-post-order-splice*)
 (only strse strse*))

(reexport
 (only sxml-transforms pre-post-order* pre-post-order-splice*)
 (only strse strse*))

(define-syntax define-ir-syntax*
  (ir-macro-transformer
   (lambda (e i c)
     (let ((cand (caadr e)))
       `(define-syntax ,(if (pair? cand) (car cand) cand)
          (ir-macro-transformer
           (lambda (exp ,(i 'inject) ,(i 'compare))
             (match exp
	       ,@(if (pair? cand) (cdr e) (list (cdr e)))))))))))

(include "fix-me-now.brev"))
